import { App, Component } from 'vue'
import Test from './Test/src/index.vue'
import CodeScanner from './CodeScanner/src/index.vue'

const components = [Test, CodeScanner];
 
// 定义 install 方法， App 作为参数
const install = (app: App): void => {
    // 遍历注册所有组件
    components.map((component) => app.component(component.name, component))
} 

export default { install }
export { Test, CodeScanner }

